function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
import { Page } from "./page.js";
export let PageLike = class PageLike {
    id;
    createdAt;
    userId;
    user;
    pageId;
    page;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], PageLike.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], PageLike.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], PageLike.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], PageLike.prototype, "user", void 0);
_ts_decorate([
    Column(id()),
    _ts_metadata("design:type", Object)
], PageLike.prototype, "pageId", void 0);
_ts_decorate([
    ManyToOne((type)=>Page, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], PageLike.prototype, "page", void 0);
PageLike = _ts_decorate([
    Entity(),
    Index([
        "userId",
        "pageId"
    ], {
        unique: true
    })
], PageLike);
